{ Delphi Object for R&R XBASE V6.5 Edition }
{ Component Editor }

{ This is ShareWare and not for redistribution }

{ Author Chris Brooksbank (cbrooksbank@msn.com) }

{ Copyright Systematics International 1995,1996. }
{ Systematics International
  7 Woodbrook Crescent
  Radford Way
  Billericay
  Essex
  CM12 0EQ
  UK
  Email     : 100410.1132@compuserve.com }

unit Rrxed;

interface

uses DsgnIntf;

type

  TRRX65Editor= Class(TComponentEditor)
    function GetVerbCount:Integer;Override;
    function GetVerb(Index:Integer):String;override;
    procedure ExecuteVerb(Index:Integer);override;
  end;


implementation

uses RRX65;

{ ************************************************************************* }
function TRRX65Editor.GetVerbCount:Integer;
{ ************************************************************************* }
begin
  result:=4;
end;

{ ************************************************************************* }
function TRRX65Editor.GetVerb(Index:Integer):String;
{ ************************************************************************* }
begin
  case Index of
    0: Result:= 'Edit &Report...';
    1: Result:= 'Load Report';
    2: Result:= 'Preview Report';
    3: Result:= 'Sorting/Grouping';
    4: Result:= 'Printer Setup';
  end;
end;

{ ************************************************************************* }
procedure TRRX65Editor.ExecuteVerb(Index:Integer);
{ ************************************************************************* }
begin
  case index of
    0: (Component as TRRX65).About:=true;
    1: (Component as TRRX65).SelectReportName;
    2: (Component as TRRX65).Preview;
    3: (Component as TRRX65).SelectSortFields;
    4: (Component as TRRX65).SelectPrinter;
  end;
end;


end.
